Bug 104612 - up2date gives multiple dependency errors
up2date gives multiple dependency errors
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux Beta
Classification: Retired
Component: up2date (Show other bugs)
AS-beta3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-17 17:17 EDT by Matt Jamison
Modified: 2007-04-18 12:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-24 15:37:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
this is output with up2date -u -v -v -v (73.60 KB, text/plain)
2003-09-17 17:38 EDT, Matt Jamison
no flags Details

  None (edit)
Description Matt Jamison 2003-09-17 17:17:49 EDT
[root@bigben rpm]# up2date -u
 
Fetching package list for channel: redhat-linux-i386-9...
########################################
 
Fetching Obsoletes list for channel: redhat-linux-i386-9...
 
Fetching rpm headers...
########################################
 
Testing package set / solving RPM inter-dependencies...
########################################
RPM package conflict error.  The message was:
Test install failed because of package conflicts:
file /usr/share/applications from install of kdelibs-3.1-12 conflicts with file
from package gconf-editor-0.4.0-3
file /usr/share/applications from install of kdelibs-3.1-12 conflicts with file
from package gnome-games-2.2.0-3
file /usr/share/applications from install of kdelibs-3.1-12 conflicts with file
from package gnome-utils-2.4.0-1
file /usr/share/applications from install of kdelibs-3.1-12 conflicts with file
from package eog-2.2.0-2
file /usr/share/applications from install of kdelibs-3.1-12 conflicts with file
from package nautilus-2.2.1-5
file /usr/share/applications from install of kdelibs-3.1-12 conflicts with file
from package gnome-media-2.2.1.1-4
file /usr/share/applications from install of kdelibs-3.1-12 conflicts with file
from package redhat-menus-0.38-1
file /usr/lib/kde3 from install of kdelibs-3.1-12 conflicts with file from
package redhat-artwork-0.73-1
file /usr/share/apps from install of kdelibs-3.1-12 conflicts with file from
package redhat-artwork-0.73-1
file /usr/share/apps/kstyle from install of kdelibs-3.1-12 conflicts with file
from package redhat-artwork-0.73-1
file /usr/share/apps/kstyle/themes from install of kdelibs-3.1-12 conflicts with
file from package redhat-artwork-0.73-1
file /usr/share/icons from install of kdelibs-3.1-12 conflicts with file from
package redhat-artwork-0.73-1
file /usr/share/applications from install of kdelibs-3.1-12 conflicts with file
from package gthumb-2.0.1-1
file /usr/share/apps/kconf_update from install of kdelibs-3.1-12 conflicts with
file from package kdemultimedia-3.1-4
file /usr/share/mimelnk/application from install of kdelibs-3.1-12 conflicts
with file from package kdemultimedia-3.1-4
file /usr/share/mimelnk/audio from install of kdelibs-3.1-12 conflicts with file
from package kdemultimedia-3.1-4
file /usr/share/mimelnk/text from install of kdelibs-3.1-12 conflicts with file
from package kdemultimedia-3.1-4
file /usr/share/applications from install of kdelibs-3.1-12 conflicts with file
from package gnome-terminal-2.2.1-3
file /usr/share/applications from install of kdelibs-3.1-12 conflicts with file
from package dia-0.90-11
file /usr/share/applications from install of kdelibs-3.1-12 conflicts with file
from package filesystem-2.2.1-3
file /usr/share/apps from install of kdelibs-3.1-12 conflicts with file from
package redhat-logos-1.1.12-1
file /usr/share/applications from install of kdelibs-3.1-12 conflicts with file
from package file-roller-2.2.1-2
file /usr/share/apps/kconf_update from install of kdelibs-3.1-12 conflicts with
file from package kdenetwork-3.1-5
file /usr/share/apps/khtml from install of kdelibs-3.1-12 conflicts with file
from package kdenetwork-3.1-5
file /usr/share/mimelnk/application from install of kdelibs-3.1-12 conflicts
with file from package kdenetwork-3.1-5
file /usr/share/services/kded from install of kdelibs-3.1-12 conflicts with file
from package kdenetwork-3.1-5
file /usr/share/applications from install of kdelibs-3.1-12 conflicts with file
from package printman-0.0.1-0.20021202.12.1
file /usr/share/services/kded from install of kdelibs-3.1-12 conflicts with file
from package kdegraphics-3.1-5
file /usr/share/icons/hicolor from install of kdelibs-3.1-12 conflicts with file
from package openoffice-1.0.2-4
file /usr/share/mimelnk from install of kdelibs-3.1-12 conflicts with file from
package openoffice-1.0.2-4
file /usr/share/mimelnk/application from install of kdelibs-3.1-12 conflicts
with file from package openoffice-1.0.2-4
file /usr/share/applications from install of kdelibs-3.1-12 conflicts with file
from package gedit-2.2.2-2
file /usr/share/applications from install of kdelibs-3.1-12 conflicts with file
from package gftp-2.0.14-2
file /usr/share/applications from install of kdelibs-3.1-12 conflicts with file
from package control-center-2.2.0.1-9
file /usr/share/applications from install of kdelibs-3.1-12 conflicts with file
from package gnome-system-monitor-2.0.5-2
file /usr/share/apps/kicker from install of kdebase-3.1-15 conflicts with file
from package kdeutils-3.1-4
file /usr/share/apps/kicker/applets from install of kdebase-3.1-15 conflicts
with file from package kdeutils-3.1-4
file /usr/share/apps/konqueror from install of kdebase-3.1-15 conflicts with
file from package kdeutils-3.1-4
file /usr/share/apps/konqueror/servicemenus from install of kdebase-3.1-15
conflicts with file from package kdeutils-3.1-4
file /usr/share/sounds from install of kdebase-3.1-15 conflicts with file from
package gnome-games-2.2.0-3
file /usr/share/apps/kdisplay from install of kdebase-3.1-15 conflicts with file
from package redhat-artwork-0.73-1
file /usr/share/apps/kdisplay/color-schemes from install of kdebase-3.1-15
conflicts with file from package redhat-artwork-0.73-1
file /usr/share/apps/kwin from install of kdebase-3.1-15 conflicts with file
from package redhat-artwork-0.73-1
file /usr/share/apps/kconf_update from install of kdebase-3.1-15 conflicts with
file from package kdemultimedia-3.1-4
file /usr/share/apps/kicker from install of kdebase-3.1-15 conflicts with file
from package kdemultimedia-3.1-4
file /usr/share/apps/kicker/applets from install of kdebase-3.1-15 conflicts
with file from package kdemultimedia-3.1-4
file /usr/share/apps/kconf_update from install of kdebase-3.1-15 conflicts with
file from package kdenetwork-3.1-5
file /usr/share/apps/kicker from install of kdebase-3.1-15 conflicts with file
from package kdenetwork-3.1-5
file /usr/share/apps/kicker/applets from install of kdebase-3.1-15 conflicts
with file from package kdenetwork-3.1-5
file /usr/share/apps/konqueror from install of kdebase-3.1-15 conflicts with
file from package kdenetwork-3.1-5
file /usr/share/services/kded from install of kdebase-3.1-15 conflicts with file
from package kdenetwork-3.1-5
file /usr/share/apps/kcontrol from install of kdebase-3.1-15 conflicts with file
from package kdegraphics-3.1-5
file /usr/share/apps/konqueror from install of kdebase-3.1-15 conflicts with
file from package kdegraphics-3.1-5
file /usr/share/apps/konqueror/servicemenus from install of kdebase-3.1-15
conflicts with file from package kdegraphics-3.1-5
file /usr/share/services/kded from install of kdebase-3.1-15 conflicts with file
from package kdegraphics-3.1-5
file /usr/share/pixmaps from install of gdm-2.4.1.3-5.1 conflicts with file from
package gnome-mime-data-2.2.0-1
file /usr/share/pixmaps from install of gdm-2.4.1.3-5.1 conflicts with file from
package gnome-panel-2.2.0.1-9
file /etc/X11/gdm from install of gdm-2.4.1.3-5.1 conflicts with file from
package gnome-session-2.2.0.2-4
file /etc/X11/gdm/Sessions from install of gdm-2.4.1.3-5.1 conflicts with file
from package gnome-session-2.2.0.2-4
file /usr/share/applications from install of gdm-2.4.1.3-5.1 conflicts with file
from package gconf-editor-0.4.0-3
file /usr/share/pixmaps from install of gdm-2.4.1.3-5.1 conflicts with file from
package gconf-editor-0.4.0-3
file /usr/share/applications from install of gdm-2.4.1.3-5.1 conflicts with file
from package gnome-games-2.2.0-3
file /usr/share/pixmaps from install of gdm-2.4.1.3-5.1 conflicts with file from
package gnome-games-2.2.0-3
file /usr/share/applications from install of gdm-2.4.1.3-5.1 conflicts with file
from package gnome-utils-2.4.0-1
file /usr/share/pixmaps from install of gdm-2.4.1.3-5.1 conflicts with file from
package gnome-utils-2.4.0-1
file /usr/share/applications from install of gdm-2.4.1.3-5.1 conflicts with file
from package eog-2.2.0-2
file /usr/share/pixmaps from install of gdm-2.4.1.3-5.1 conflicts with file from
package eog-2.2.0-2
file /usr/share/applications from install of gdm-2.4.1.3-5.1 conflicts with file
from package nautilus-2.2.1-5
file /usr/share/pixmaps from install of gdm-2.4.1.3-5.1 conflicts with file from
package nautilus-2.2.1-5
file /usr/share/applications from install of gdm-2.4.1.3-5.1 conflicts with file
from package gnome-media-2.2.1.1-4
file /usr/share/pixmaps from install of gdm-2.4.1.3-5.1 conflicts with file from
package gnome-media-2.2.1.1-4
file /usr/share/applications from install of gdm-2.4.1.3-5.1 conflicts with file
from package redhat-menus-0.38-1
file /usr/share/gdm/themes from install of gdm-2.4.1.3-5.1 conflicts with file
from package redhat-artwork-0.73-1
file /usr/share/pixmaps from install of gdm-2.4.1.3-5.1 conflicts with file from
package redhat-artwork-0.73-1
file /usr/share/pixmaps from install of gdm-2.4.1.3-5.1 conflicts with file from
package gnome-desktop-2.2.0.1-4
file /usr/share/applications from install of gdm-2.4.1.3-5.1 conflicts with file
from package gthumb-2.0.1-1
file /usr/share/pixmaps from install of gdm-2.4.1.3-5.1 conflicts with file from
package gthumb-2.0.1-1
file /usr/share/pixmaps from install of gdm-2.4.1.3-5.1 conflicts with file from
package metacity-2.4.34-3
file /usr/share/applications from install of gdm-2.4.1.3-5.1 conflicts with file
from package gnome-terminal-2.2.1-3
file /usr/share/pixmaps from install of gdm-2.4.1.3-5.1 conflicts with file from
package gnome-terminal-2.2.1-3
file /usr/share/applications from install of gdm-2.4.1.3-5.1 conflicts with file
from package dia-0.90-11
file /usr/share/applications from install of gdm-2.4.1.3-5.1 conflicts with file
from package filesystem-2.2.1-3
file /usr/share/pixmaps from install of gdm-2.4.1.3-5.1 conflicts with file from
package filesystem-2.2.1-3
file /usr/share/gdm from install of gdm-2.4.1.3-5.1 conflicts with file from
package redhat-logos-1.1.12-1
file /usr/share/gdm/themes from install of gdm-2.4.1.3-5.1 conflicts with file
from package redhat-logos-1.1.12-1
file /usr/share/pixmaps from install of gdm-2.4.1.3-5.1 conflicts with file from
package redhat-logos-1.1.12-1
file /usr/share/applications from install of gdm-2.4.1.3-5.1 conflicts with file
from package file-roller-2.2.1-2
file /usr/share/pixmaps from install of gdm-2.4.1.3-5.1 conflicts with file from
package gnome-applets-2.2.2-2
file /usr/share/applications from install of gdm-2.4.1.3-5.1 conflicts with file
from package printman-0.0.1-0.20021202.12.1
file /usr/share/pixmaps from install of gdm-2.4.1.3-5.1 conflicts with file from
package printman-0.0.1-0.20021202.12.1
file /usr/share/pixmaps from install of gdm-2.4.1.3-5.1 conflicts with file from
package openoffice-1.0.2-4
file /usr/share/applications from install of gdm-2.4.1.3-5.1 conflicts with file
from package gedit-2.2.2-2
file /usr/share/pixmaps from install of gdm-2.4.1.3-5.1 conflicts with file from
package gedit-2.2.2-2
file /usr/share/applications from install of gdm-2.4.1.3-5.1 conflicts with file
from package gftp-2.0.14-2
file /usr/share/pixmaps from install of gdm-2.4.1.3-5.1 conflicts with file from
package gftp-2.0.14-2
file /usr/share/applications from install of gdm-2.4.1.3-5.1 conflicts with file
from package control-center-2.2.0.1-9
file /usr/share/pixmaps from install of gdm-2.4.1.3-5.1 conflicts with file from
package control-center-2.2.0.1-9
file /usr/share/applications from install of gdm-2.4.1.3-5.1 conflicts with file
from package gnome-system-monitor-2.0.5-2
file /usr/share/pixmaps from install of gdm-2.4.1.3-5.1 conflicts with file from
package gnome-system-monitor-2.0.5-2
 
[root@bigben rpm]# up2date --get gdm
 
Fetching all package list for channel: redhat-linux-i386-9...
########################################
 
Fetching package list for channel: redhat-linux-i386-9...
########################################
 
gdm-2.4.1.3-5.1.i386.rpm...
########################################
[root@bigben rpm]# rpm -q gftp
gftp-2.0.14-2
[root@bigben rpm]# rpm -Uvh /var/spool/up2date/gdm-2.4.1.3-5.1.i386.rpm
Preparing...                ########################################### [100%]
   1:gdm                    ########################################### [100%]
up2date -l
up2date -u
OMF file [/usr/share/omf/gnome-applets/gweather_applet-it.omf] does not validate
against ScrollKeeper-OMF DTD: /usr/share/xml/scrollkeeper/dtds/scrollkeeper-omf.dtd
Unable to register /usr/share/omf/gnome-applets/gweather_applet-it.omf
OMF file [/usr/share/omf/gnome-applets/mixer_applet-it.omf] does not validate
against ScrollKeeper-OMF DTD: /usr/share/xml/scrollkeeper/dtds/scrollkeeper-omf.dtd
Unable to register /usr/share/omf/gnome-applets/mixer_applet-it.omf
OMF file [/usr/share/omf/gnome-applets/gweather_applet-it.omf] does not validate
against ScrollKeeper-OMF DTD: /usr/share/xml/scrollkeeper/dtds/scrollkeeper-omf.dtd
Unable to register /usr/share/omf/gnome-applets/gweather_applet-it.omf
OMF file [/usr/share/omf/gnome-applets/mixer_applet-it.omf] does not validate
against ScrollKeeper-OMF DTD: /usr/share/xml/scrollkeeper/dtds/scrollkeeper-omf.dtd
Unable to register /usr/share/omf/gnome-applets/mixer_applet-it.omf
[root@bigben rpm]# up2date -l
 
Fetching package list for channel: redhat-linux-i386-9...
########################################
 
Fetching Obsoletes list for channel: redhat-linux-i386-9...
 
Fetching rpm headers...
########################################
 
Name                                    Version        Rel
----------------------------------------------------------
cdda2wav                                2.0            11.9.1
kdebase                                 3.1            15
kdelibs                                 3.1            12
mkisofs                                 2.0            11.9.1
nfs-utils                               1.0.1          3.9
pam_smb                                 1.1.6          9.9
perl                                    5.8.0          88.3
perl-CGI                                2.81           88.3
perl-CPAN                               1.61           88.3
pine                                    4.44           19.90.0
redhat-config-network                   1.2.15         1
redhat-config-network-tui               1.2.15         1
redhat-config-printer                   0.6.47.11      1
redhat-config-printer-gui               0.6.47.11      1
rhpl                                    0.93.4         1
unzip                                   5.50           33
xpdf                                    2.01           11
 
The following Packages were marked to be skipped by your configuration:
 
Name                                    Version        Rel  Reason
-------------------------------------------------------------------------------
kernel                                  2.4.20         20.9 Pkg name/pattern
kernel-source                           2.4.20         20.9 Pkg name/pattern
 
[root@bigben rpm]# up2date -u
 
Fetching package list for channel: redhat-linux-i386-9...
########################################
 
Fetching Obsoletes list for channel: redhat-linux-i386-9...
 
Fetching rpm headers...
########################################
 
Testing package set / solving RPM inter-dependencies...
########################################
RPM package conflict error.  The message was:
Test install failed because of package conflicts:
file /usr/share/applications from install of kdelibs-3.1-12 conflicts with file
from package gconf-editor-0.4.0-3
file /usr/share/applications from install of kdelibs-3.1-12 conflicts with file
from package gnome-games-2.2.0-3
file /usr/share/applications from install of kdelibs-3.1-12 conflicts with file
from package gnome-utils-2.4.0-1
file /usr/share/applications from install of kdelibs-3.1-12 conflicts with file
from package eog-2.2.0-2
file /usr/share/applications from install of kdelibs-3.1-12 conflicts with file
from package nautilus-2.2.1-5
file /usr/share/applications from install of kdelibs-3.1-12 conflicts with file
from package gnome-media-2.2.1.1-4
file /usr/share/applications from install of kdelibs-3.1-12 conflicts with file
from package redhat-menus-0.38-1
file /usr/lib/kde3 from install of kdelibs-3.1-12 conflicts with file from
package redhat-artwork-0.73-1
file /usr/share/apps from install of kdelibs-3.1-12 conflicts with file from
package redhat-artwork-0.73-1
file /usr/share/apps/kstyle from install of kdelibs-3.1-12 conflicts with file
from package redhat-artwork-0.73-1
file /usr/share/apps/kstyle/themes from install of kdelibs-3.1-12 conflicts with
file from package redhat-artwork-0.73-1
file /usr/share/icons from install of kdelibs-3.1-12 conflicts with file from
package redhat-artwork-0.73-1
file /usr/share/applications from install of kdelibs-3.1-12 conflicts with file
from package gthumb-2.0.1-1
file /usr/share/apps/kconf_update from install of kdelibs-3.1-12 conflicts with
file from package kdemultimedia-3.1-4
file /usr/share/mimelnk/application from install of kdelibs-3.1-12 conflicts
with file from package kdemultimedia-3.1-4
file /usr/share/mimelnk/audio from install of kdelibs-3.1-12 conflicts with file
from package kdemultimedia-3.1-4
file /usr/share/mimelnk/text from install of kdelibs-3.1-12 conflicts with file
from package kdemultimedia-3.1-4
file /usr/share/applications from install of kdelibs-3.1-12 conflicts with file
from package gnome-terminal-2.2.1-3
file /usr/share/applications from install of kdelibs-3.1-12 conflicts with file
from package dia-0.90-11
file /usr/share/applications from install of kdelibs-3.1-12 conflicts with file
from package filesystem-2.2.1-3
file /usr/share/apps from install of kdelibs-3.1-12 conflicts with file from
package redhat-logos-1.1.12-1
file /usr/share/applications from install of kdelibs-3.1-12 conflicts with file
from package file-roller-2.2.1-2
file /usr/share/apps/kconf_update from install of kdelibs-3.1-12 conflicts with
file from package kdenetwork-3.1-5
file /usr/share/apps/khtml from install of kdelibs-3.1-12 conflicts with file
from package kdenetwork-3.1-5
file /usr/share/mimelnk/application from install of kdelibs-3.1-12 conflicts
with file from package kdenetwork-3.1-5
file /usr/share/services/kded from install of kdelibs-3.1-12 conflicts with file
from package kdenetwork-3.1-5
file /usr/share/applications from install of kdelibs-3.1-12 conflicts with file
from package printman-0.0.1-0.20021202.12.1
file /usr/share/services/kded from install of kdelibs-3.1-12 conflicts with file
from package kdegraphics-3.1-5
file /usr/share/icons/hicolor from install of kdelibs-3.1-12 conflicts with file
from package openoffice-1.0.2-4
file /usr/share/mimelnk from install of kdelibs-3.1-12 conflicts with file from
package openoffice-1.0.2-4
file /usr/share/mimelnk/application from install of kdelibs-3.1-12 conflicts
with file from package openoffice-1.0.2-4
file /usr/share/applications from install of kdelibs-3.1-12 conflicts with file
from package gedit-2.2.2-2
file /usr/share/applications from install of kdelibs-3.1-12 conflicts with file
from package gftp-2.0.14-2
file /usr/share/applications from install of kdelibs-3.1-12 conflicts with file
from package control-center-2.2.0.1-9
file /usr/share/applications from install of kdelibs-3.1-12 conflicts with file
from package gnome-system-monitor-2.0.5-2
file /usr/share/applications from install of kdelibs-3.1-12 conflicts with file
from package gdm-2.4.1.3-5.1
file /usr/share/apps/kicker from install of kdebase-3.1-15 conflicts with file
from package kdeutils-3.1-4
file /usr/share/apps/kicker/applets from install of kdebase-3.1-15 conflicts
with file from package kdeutils-3.1-4
file /usr/share/apps/konqueror from install of kdebase-3.1-15 conflicts with
file from package kdeutils-3.1-4
file /usr/share/apps/konqueror/servicemenus from install of kdebase-3.1-15
conflicts with file from package kdeutils-3.1-4
file /usr/share/sounds from install of kdebase-3.1-15 conflicts with file from
package gnome-games-2.2.0-3
file /usr/share/apps/kdisplay from install of kdebase-3.1-15 conflicts with file
from package redhat-artwork-0.73-1
file /usr/share/apps/kdisplay/color-schemes from install of kdebase-3.1-15
conflicts with file from package redhat-artwork-0.73-1
file /usr/share/apps/kwin from install of kdebase-3.1-15 conflicts with file
from package redhat-artwork-0.73-1
file /usr/share/apps/kconf_update from install of kdebase-3.1-15 conflicts with
file from package kdemultimedia-3.1-4
file /usr/share/apps/kicker from install of kdebase-3.1-15 conflicts with file
from package kdemultimedia-3.1-4
file /usr/share/apps/kicker/applets from install of kdebase-3.1-15 conflicts
with file from package kdemultimedia-3.1-4
file /usr/share/apps/kconf_update from install of kdebase-3.1-15 conflicts with
file from package kdenetwork-3.1-5
file /usr/share/apps/kicker from install of kdebase-3.1-15 conflicts with file
from package kdenetwork-3.1-5
file /usr/share/apps/kicker/applets from install of kdebase-3.1-15 conflicts
with file from package kdenetwork-3.1-5
file /usr/share/apps/konqueror from install of kdebase-3.1-15 conflicts with
file from package kdenetwork-3.1-5
file /usr/share/services/kded from install of kdebase-3.1-15 conflicts with file
from package kdenetwork-3.1-5
file /usr/share/apps/kcontrol from install of kdebase-3.1-15 conflicts with file
from package kdegraphics-3.1-5
file /usr/share/apps/konqueror from install of kdebase-3.1-15 conflicts with
file from package kdegraphics-3.1-5
file /usr/share/apps/konqueror/servicemenus from install of kdebase-3.1-15
conflicts with file from package kdegraphics-3.1-5
file /usr/share/services/kded from install of kdebase-3.1-15 conflicts with file
from package kdegraphics-3.1-5
Comment 1 Adrian Likins 2003-09-17 17:29:54 EDT
other info, trying to install the package from the 
commandline works.

(aka, the gdm package mentioned above)

Apparently there is something different between the
way rpm and up2date creates transactions.

the Packages db off that system available on request
Comment 2 Matt Jamison 2003-09-17 17:38:59 EDT
Created attachment 94569 [details]
this is output with up2date -u -v -v -v
Comment 3 Michael Young 2003-09-19 08:00:25 EDT
One thing strikes me, this is reported as an AS-beta3 bug, but the rhn channel
being used is redhat-linux-i386-9, though maybe there is a good reason for this.

Note You need to log in before you can comment on or make changes to this bug.